<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% action = @backup_token.present? ? 'reset' : 'create' %>
<% icon = @backup_token.present? ? 'delete' : 'add' %>

<% html_title(t(:label_administration), t("backup.reset_token.heading_#{action}")) -%>

<%= password_confirmation_form_for(
  @user,
  as: :user,
  url: { action: 'perform_token_reset' },
  builder: ::TabularFormBuilder,
  lang: current_language,
  html: {
    method: :post,
    class: '-wide-labels confirm_required request-for-confirmation form danger-zone'
  }
) do |f| %>
  <div class='wiki'>
    <section class="form--section">
      <h3 class="form--section-title">
        <%= t("backup.reset_token.heading_#{action}") %>
      </h3>

      <p>
        <%= t("backup.reset_token.implications") %>
      </p>

      <% if !allow_instant_backup_for_user? current_user %>
      <p class="danger-zone--warning">
        <span class="icon icon-error"></span>
        <span><%= t("backup.reset_token.warning") %></span>
      </p>
      <% end %>

      <p>
        <%= t(
          "backup.reset_token.verification",
          word: "<em class=\"danger-zone--expected-value\">#{t("backup.reset_token.verification_word_#{action}")}</em>",
          action: t("backup.reset_token.verification_word_#{action}")
        ).html_safe %>
      </p>
      <div class="danger-zone--verification">
        <input type="text" name="login_verification"/>
        <%= styled_button_tag '', class: '-primary', disabled: true do
          concat content_tag :i, '', class: "button--icon icon-#{icon}"
          concat content_tag :span, t("backup.reset_token.action_#{action}"), class: 'button--text'
        end %>
      </div>
    </section>
  </div>
<% end %>
